Bug 433154 - Unable to load custom objects and a patch supplied
Unable to load custom objects and a patch supplied
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Inventor (Show other bugs)
15
All Linux
low Severity urgent
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 18:28 EST by Fangtu Qiu
Modified: 2012-01-18 20:38 EST (History)
1 user (show)

See Also:
Fixed In Version: Inventor-2.1.5-40.fc15.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-18 20:32:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix 'unable to load custom objects' bug (544 bytes, patch)
2008-02-16 18:28 EST, Fangtu Qiu
no flags Details | Diff
Source of mynode.so which can be used to test Inventor's dynamic loading. (994 bytes, text/plain)
2011-11-08 20:10 EST, rhb.fjhhome
no flags Details
Use with mynode.so and ivcat to test Inventor's dynamic loading. (31 bytes, text/plain)
2011-11-08 20:12 EST, rhb.fjhhome
no flags Details

  None (edit)
Description Fangtu Qiu 2008-02-16 18:28:57 EST
Description of problem:

Unable to load custom objects. To load a iv file contains a custom class with
ivview, and it prints:

Inventor read error: Unknown class "MyObject"
        Occurred at line 114 in ./test.iv


Version-Release number of selected component (if applicable):

2.1.5-30

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I found this bug two years ago and posted a patch to address it on SGI's
mailling list at that time. Please include the attached patch at your next
update. Thanks!
Comment 1 Fangtu Qiu 2008-02-16 18:28:57 EST
Created attachment 295081 [details]
Patch to fix 'unable to load custom objects' bug
Comment 2 Bug Zapper 2008-11-26 04:50:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fangtu Qiu 2008-12-13 22:05:48 EST
The bug still exists in Fedora 10.
Comment 4 Bug Zapper 2009-11-18 04:26:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:04:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 rhb.fjhhome 2011-11-07 23:50:13 EST
Bug still present in Fedora 15.  I've tested the patch and it works.  Please apply.
Comment 7 Ralf Corsepius 2011-11-08 00:10:02 EST
I don't know how it has happened that this bug has fallen "under the desk". Sorry for that.

Please provide a reproducer/test case.
Comment 8 rhb.fjhhome 2011-11-08 20:10:45 EST
Created attachment 532431 [details]
Source of mynode.so which can be used to test Inventor's dynamic loading.

Comments in the code explain Inventor's dynamic loading feature and how to test it.
Comment 9 rhb.fjhhome 2011-11-08 20:12:39 EST
Created attachment 532432 [details]
Use with mynode.so and ivcat to test Inventor's dynamic loading.

Instructions are in the mynode.cpp attachment.
Comment 10 Ralf Corsepius 2012-01-07 13:19:37 EST
Should be fixed in Inventor-*-40.fc15.1 and Inventor-*-40.fc16.1, which are supposed to land in testing/ soon.

A fix for rawhide is on its way, but this will take some more days.
Comment 11 Fedora Update System 2012-01-08 00:31:29 EST
Inventor-2.1.5-40.fc16.1 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/Inventor-2.1.5-40.fc16.1
Comment 12 Fedora Update System 2012-01-08 00:32:20 EST
Inventor-2.1.5-40.fc15.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/Inventor-2.1.5-40.fc15.1
Comment 13 Fedora Update System 2012-01-11 01:12:24 EST
Package Inventor-2.1.5-40.fc15.1:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Inventor-2.1.5-40.fc15.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0345/Inventor-2.1.5-40.fc15.1
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-01-18 20:32:59 EST
Inventor-2.1.5-40.fc15.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-01-18 20:38:44 EST
Inventor-2.1.5-40.fc16.1 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.